Summary: Change TaskBar program icons
Name:    xseticon
Version: 0.1+bzr14
Release: 2%{?dist}
#Url:     https://sourceforge.net/projects/xseticon/
Url:     http://www.leonerd.org.uk/code/xseticon/
#Source:  https://sourceforge.net/projects/xseticon/files/xseticon-1.0.tar.bz2
Source:  http://www.leonerd.org.uk/code/xseticon/xseticon-%{version}.tar.gz
License: GPLv2
Buildroot: %{_tmppath}/%{name}-%{version}-root
Group:   X11/Utilities
BuildRequires: make glib-devel gd-devel libX11-devel libXmu-devel
BuildRequires: gcc
Patch1: Makefile.patch

%description
Sets the window icon to the specified .png image. The image is loaded from
the file at runtime and sent to the X server; thereafter the file does not
need to exist, and can be deleted/renamed/modified without the X server or
window manager noticing.
If no window selection option is specified, the window can be interactively
selected using the cursor.

%prep
%setup -n xseticon-%{version}
%patch1 -p1 -b.Makefile

%build
make %{?_smp_mflags}

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
cp xseticon $RPM_BUILD_ROOT/%{_bindir}/

%files
%defattr(-,root,root)
%{_bindir}/xseticon

%changelog
* Thu May 07 2020 josef radinger <cheese@nosuchhost.net> - 0.1+bzr14-2
- enable debuginfo

* Thu May 07 2020 josef radinger <cheese@nosuchhost.net> - 0.1+bzr14-1
- bump version

* Thu May 07 2020 josef radinger <cheese@nosuchhost.net> - 0.1-2
- cleanup specfile
- Buildrequires on gcc
- disbale debuginfo for now

* Mon Oct 16 2017 josef radinger <cheese@nosuchhost.net> - 0.1-1
- initial version
